curl -X POST "https://api.nevatal.com/api/v1/emr/medical-records" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"appointmentId": "apt_xyz789",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
}
}'
{
"id": "rec_001",
"appointmentId": "apt_xyz789",
"patientId": "pat_abc123",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
},
"createdBy": "usr_doctor456",
"createdAt": "2025-04-01T09:30:00Z"
}
EMR
Create Medical Record
Create a new medical record entry for an appointment
POST
/
api
/
v1
/
emr
/
medical-records
curl -X POST "https://api.nevatal.com/api/v1/emr/medical-records" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"appointmentId": "apt_xyz789",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
}
}'
{
"id": "rec_001",
"appointmentId": "apt_xyz789",
"patientId": "pat_abc123",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
},
"createdBy": "usr_doctor456",
"createdAt": "2025-04-01T09:30:00Z"
}
Body Parameters
The appointment this record belongs to
The EMR template to use
Template field values (dynamic, depends on the template schema)
curl -X POST "https://api.nevatal.com/api/v1/emr/medical-records" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"appointmentId": "apt_xyz789",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
}
}'
{
"id": "rec_001",
"appointmentId": "apt_xyz789",
"patientId": "pat_abc123",
"templateId": "tmpl_general_consult",
"fields": {
"chiefComplaint": "Dolor de muela",
"diagnosis": "Caries dental",
"treatment": "Restauración con resina",
"notes": "Paciente presenta caries en premolar superior derecho"
},
"createdBy": "usr_doctor456",
"createdAt": "2025-04-01T09:30:00Z"
}
⌘I

